/[gentoo-x86]/sys-apps/policycoreutils/ChangeLog
Gentoo

Diff of /sys-apps/policycoreutils/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.69 Revision 1.148
1# ChangeLog for sys-apps/policycoreutils 1# ChangeLog for sys-apps/policycoreutils
2# Copyright 2000-2008 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/sys-apps/policycoreutils/ChangeLog,v 1.69 2008/05/26 15:03:39 pebenito Exp $ 3# $Header: /var/cvsroot/gentoo-x86/sys-apps/policycoreutils/ChangeLog,v 1.148 2015/02/04 17:48:40 perfinion Exp $
4
5*policycoreutils-2.4 (04 Feb 2015)
6
7 04 Feb 2015; Jason Zaman <perfinion@gentoo.org> +policycoreutils-2.4.ebuild:
8 Version bump
9
10*policycoreutils-2.4_rc7 (06 Dec 2014)
11*policycoreutils-2.3-r3 (06 Dec 2014)
12
13 06 Dec 2014; Jason Zaman <perfinion@gentoo.org>
14 +policycoreutils-2.3-r3.ebuild, +policycoreutils-2.4_rc7.ebuild,
15 -policycoreutils-2.4_rc2.ebuild, -policycoreutils-2.4_rc5.ebuild,
16 -policycoreutils-2.4_rc6.ebuild,
17 files/0020-disable-autodetection-of-pam-and-audit.patch,
18 files/0030-make-inotify-check-use-flag-triggered.patch,
19 policycoreutils-2.4_rc6-r1.ebuild:
20 version bump and ebuild clean up, drop old RC
21
22*policycoreutils-2.4_rc6-r1 (22 Nov 2014)
23
24 22 Nov 2014; Jason Zaman <perfinon@gentoo.org>
25 +files/0001-policycoreutils-pp-add-roletype-statements-for-both-.patch,
26 +policycoreutils-2.4_rc6-r1.ebuild:
27 add patch from upstream to fix missing roletypes
28
29*policycoreutils-2.4_rc6 (14 Nov 2014)
30
31 14 Nov 2014; Sven Vermeulen <swift@gentoo.org>
32 +policycoreutils-2.4_rc6.ebuild:
33 Bump to rc6
34
35*policycoreutils-2.4_rc5 (29 Oct 2014)
36
37 29 Oct 2014; Sven Vermeulen <swift@gentoo.org>
38 +policycoreutils-2.4_rc5.ebuild, -policycoreutils-2.4_rc4.ebuild,
39 policycoreutils-2.4_rc2.ebuild:
40 Bump to 2.4_rc5
41
42*policycoreutils-2.4_rc4 (07 Oct 2014)
43
44 07 Oct 2014; Sven Vermeulen <swift@gentoo.org>
45 +policycoreutils-2.4_rc4.ebuild:
46 Bump to 2.4-rc4
47
48*policycoreutils-2.4_rc2 (21 Sep 2014)
49
50 21 Sep 2014; Sven Vermeulen <swift@gentoo.org>
51 +files/0010-remove-sesandbox-support.patch,
52 +files/0020-disable-autodetection-of-pam-and-audit.patch,
53 +files/0030-make-inotify-check-use-flag-triggered.patch,
54 +files/0040-reverse-access-check-in-run_init.patch,
55 +files/0070-remove-symlink-attempt-fails-with-gentoo-sandbox-approach.patch,
56 +files/0110-build-mcstrans-bug-472912.patch,
57 +files/0120-build-failure-for-mcscolor-for-CONTEXT__CONTAINS.patch,
58 +policycoreutils-2.4_rc2.ebuild, policycoreutils-2.3-r2.ebuild:
59 Noved to github; also add in masked 2.4 series
60
61 05 Aug 2014; Sven Vermeulen <swift@gentoo.org>
62 -policycoreutils-2.2.5-r2.ebuild, -policycoreutils-2.3-r1.ebuild,
63 -policycoreutils-2.3.ebuild, metadata.xml:
64 Remove obsoleted ebuilds
65
66 30 Jul 2014; Sven Vermeulen <swift@gentoo.org> policycoreutils-2.3-r2.ebuild:
67 Fix bug #514194 - Stabilization of SELinux userspace 2.3
68
69*policycoreutils-2.3-r2 (28 May 2014)
70
71 28 May 2014; Sven Vermeulen <swift@gentoo.org> +policycoreutils-2.3-r2.ebuild:
72 Fix selocal attribute validation
73
74*policycoreutils-2.3-r1 (26 May 2014)
75
76 26 May 2014; Sven Vermeulen <swift@gentoo.org> +policycoreutils-2.3-r1.ebuild:
77 Fix selocal to support dontaudit as well. Also verify types, attributes and
78 roles before adding them.
79
80 10 May 2014; Sven Vermeulen <swift@gentoo.org>
81 -policycoreutils-2.1.14-r1.ebuild, -policycoreutils-2.1.14-r2.ebuild,
82 -policycoreutils-2.1.14-r3.ebuild, -policycoreutils-2.1.14-r4.ebuild,
83 -policycoreutils-2.1.14-r5.ebuild, -policycoreutils-2.2.1-r1.ebuild,
84 -policycoreutils-2.2.5-r1.ebuild, -policycoreutils-2.2.5-r3.ebuild,
85 -policycoreutils-2.3_rc1.ebuild, -policycoreutils-2.3_rc1-r1.ebuild,
86 -files/policycoreutils-extra-1.21-fix-python3.patch:
87 Spring cleanup
88
89 10 May 2014; Sven Vermeulen <swift@gentoo.org>
90 policycoreutils-2.2.5-r4.ebuild:
91 Stabilize to work around vulnerability CVE-2014-3215
92
93*policycoreutils-2.3 (09 May 2014)
94
95 09 May 2014; Sven Vermeulen <swift@gentoo.org> +policycoreutils-2.3.ebuild:
96 Bump to 2.3
97
98*policycoreutils-2.3_rc1-r1 (09 May 2014)
99
100 09 May 2014; Sven Vermeulen <swift@gentoo.org>
101 +policycoreutils-2.2.5-r4.ebuild, +policycoreutils-2.3_rc1-r1.ebuild:
102 Do not build seunshare/sesandbox, cfr bug #509896
103
104*policycoreutils-2.3_rc1 (28 Apr 2014)
105
106 28 Apr 2014; Sven Vermeulen <swift@gentoo.org>
107 +policycoreutils-2.3_rc1.ebuild:
108 2.3-rc1 release
109
110*policycoreutils-2.2.5-r3 (19 Apr 2014)
111
112 19 Apr 2014; Sven Vermeulen <swift@gentoo.org>
113 +policycoreutils-2.2.5-r3.ebuild, policycoreutils-2.2.5-r1.ebuild:
114 Fix bug #507992 - Do not push out restorecond init script if restorecond
115 should not be installed
116
117 20 Jan 2014; Sven Vermeulen <swift@gentoo.org>
118 policycoreutils-2.2.5-r2.ebuild:
119 Stabilize for amd64 and x86
120
121*policycoreutils-2.1.14-r5 (12 Jan 2014)
122
123 12 Jan 2014; Sven Vermeulen <swift@gentoo.org>
124 +policycoreutils-2.1.14-r5.ebuild:
125 Backport BUILD_DIR change to 2.1.14 (needed to have runscript_selinux follow
126 USE flag info)
127
128*policycoreutils-2.2.5-r2 (12 Jan 2014)
129
130 12 Jan 2014; Sven Vermeulen <swift@gentoo.org>
131 +policycoreutils-2.2.5-r2.ebuild:
132 Use python builddir locations for installation, otherwise a non-built
133 directory will be used, dismissing all configuration variables mentioned
134 earlier
135
136 23 Dec 2013; Sven Vermeulen <swift@gentoo.org>
137 -policycoreutils-2.1.13-r3.ebuild, -policycoreutils-2.1.13-r4.ebuild,
138 -policycoreutils-2.1.13-r5.ebuild, -policycoreutils-2.1.13-r6.ebuild,
139 -policycoreutils-2.1.13-r7.ebuild, -policycoreutils-2.1.13-r8.ebuild,
140 -policycoreutils-2.1.13-r9.ebuild, -policycoreutils-2.1.13-r10.ebuild,
141 -policycoreutils-2.1.13-r11.ebuild:
142 Cleanup old versions
143
144*policycoreutils-2.2.5-r1 (10 Dec 2013)
145
146 10 Dec 2013; Sven Vermeulen <swift@gentoo.org>
147 +policycoreutils-2.2.5-r1.ebuild:
148 Adding 2.2.5 release
149
150*policycoreutils-2.2.1-r1 (04 Nov 2013)
151
152 04 Nov 2013; Sven Vermeulen <swift@gentoo.org>
153 +policycoreutils-2.2.1-r1.ebuild:
154 New policycoreutils release
155
156 04 Nov 2013; Sven Vermeulen <swift@gentoo.org>
157 policycoreutils-2.1.14-r4.ebuild:
158 Stabilize
159
160*policycoreutils-2.1.14-r4 (13 Aug 2013)
161
162 13 Aug 2013; Sven Vermeulen <swift@gentoo.org>
163 +policycoreutils-2.1.14-r4.ebuild:
164 Document setfiles in rlpkg, improve selocal resilience
165
166 07 Jul 2013; Sven Vermeulen <swift@gentoo.org>
167 -policycoreutils-2.1.10-r5.ebuild:
168 Summer cleaning
169
170*policycoreutils-2.1.14-r3 (07 Jul 2013)
171
172 07 Jul 2013; Sven Vermeulen <swift@gentoo.org>
173 +policycoreutils-2.1.14-r3.ebuild:
174 Switch to python-r1 eclass, add in mcstrans (bug #472912)
175
176 16 Jun 2013; Sven Vermeulen <swift@gentoo.org>
177 policycoreutils-2.1.14-r2.ebuild:
178 Stabilization
179
180 10 May 2013; Sven Vermeulen <swift@gentoo.org> metadata.xml:
181 Add in CPE data for policycoreutils, historical CVEs use redhat as
182 application vendor
183
184*policycoreutils-2.1.14-r2 (07 May 2013)
185
186 07 May 2013; Sven Vermeulen <swift@gentoo.org>
187 +policycoreutils-2.1.14-r2.ebuild:
188 Fix bugs 467268 (yum bindings), 468832 (key error), 468830 (mls range
189 dependency)
190
191*policycoreutils-2.1.14-r1 (25 Apr 2013)
192
193 25 Apr 2013; Sven Vermeulen <swift@gentoo.org>
194 +policycoreutils-2.1.14-r1.ebuild:
195 New upstream release
196
197*policycoreutils-2.1.13-r11 (19 Apr 2013)
198
199 19 Apr 2013; Sven Vermeulen <swift@gentoo.org>
200 +policycoreutils-2.1.13-r11.ebuild:
201 Add selocal command to policycoreutils
202
203*policycoreutils-2.1.13-r10 (16 Apr 2013)
204
205 16 Apr 2013; Sven Vermeulen <swift@gentoo.org>
206 +policycoreutils-2.1.13-r10.ebuild:
207 Fix bugs #463222 (newrole O_RDWR) and #464808 (hardcoded python3.1 in rlpkg)
208
209 16 Apr 2013; Sven Vermeulen <swift@gentoo.org>
210 -policycoreutils-2.1.10-r1.ebuild, -policycoreutils-2.1.10-r3.ebuild,
211 -policycoreutils-2.1.10-r4.ebuild, -policycoreutils-2.1.10.ebuild:
212 Some cleanup (older release unstables)
213
214 16 Apr 2013; Sven Vermeulen <swift@gentoo.org>
215 policycoreutils-2.1.13-r9.ebuild:
216 Stabilize policycoreutils-2.1.13-r9
217
218*policycoreutils-2.1.13-r9 (19 Mar 2013)
219
220 19 Mar 2013; Sven Vermeulen <swift@gentoo.org>
221 +policycoreutils-2.1.13-r9.ebuild:
222 Fix bug #457786 - Link runscript_selinux with crypt
223
224*policycoreutils-2.1.13-r8 (10 Mar 2013)
225
226 10 Mar 2013; Sven Vermeulen <swift@gentoo.org>
227 +policycoreutils-2.1.13-r8.ebuild:
228 Adding selinux_gentoo init script for initramfs and cpu/online support
229 (#456914)
230
231*policycoreutils-2.1.13-r7 (09 Mar 2013)
232
233 09 Mar 2013; Sven Vermeulen <swift@gentoo.org>
234 +policycoreutils-2.1.13-r7.ebuild:
235 Update policycoreutils-extras to fix build failure when not building with PAM
236 support, see bug #457786
237
238*policycoreutils-2.1.13-r6 (30 Dec 2012)
239
240 30 Dec 2012; Sven Vermeulen +policycoreutils-2.1.13-r6.ebuild,
241 policycoreutils-2.1.13-r5.ebuild:
242 Stabilize r5, get r6 available as well which fixes rlpkg to include zfs
243 support
244
245*policycoreutils-2.1.13-r5 (17 Nov 2012)
246
247 17 Nov 2012; <swift@gentoo.org> policycoreutils-2.1.13-r4.ebuild,
248 +policycoreutils-2.1.13-r5.ebuild:
249 Stabilization, move sesandbox support to next release
250
251*policycoreutils-2.1.13-r4 (14 Oct 2012)
252
253 14 Oct 2012; <swift@gentoo.org> +policycoreutils-2.1.13-r4.ebuild:
254 Remove support for python3 until upstream supports it
255
256 13 Oct 2012; <swift@gentoo.org> policycoreutils-2.1.13-r3.ebuild:
257 Supporting user-provided patches using epatch_user
258
259*policycoreutils-2.1.13-r3 (09 Oct 2012)
260
261 09 Oct 2012; <swift@gentoo.org> +policycoreutils-2.1.13-r3.ebuild:
262 Introducing new upstream release
263
264 06 Oct 2012; <swift@gentoo.org> policycoreutils-2.1.10-r5.ebuild:
265 Stabilize
266
267*policycoreutils-2.1.10-r5 (08 Sep 2012)
268
269 08 Sep 2012; <swift@gentoo.org> +policycoreutils-2.1.10-r5.ebuild:
270 Fix bug #427596 and #430806
271
272 10 Jul 2012; <swift@gentoo.org> policycoreutils-2.1.10-r3.ebuild:
273 Stabilization, drop libcgroup dependency along the way
274
275*policycoreutils-2.1.10-r4 (10 Jul 2012)
276
277 10 Jul 2012; <swift@gentoo.org> +policycoreutils-2.1.10-r4.ebuild:
278 Support refpolicy style audit2allow (#417199)
279
280 26 Jun 2012; Mike Gilbert <floppym@gentoo.org>
281 policycoreutils-2.1.10-r1.ebuild, policycoreutils-2.1.10-r3.ebuild,
282 policycoreutils-2.1.10.ebuild:
283 Restrict pypy per Arfrever.
284
285*policycoreutils-2.1.10-r3 (25 Jun 2012)
286
287 25 Jun 2012; <swift@gentoo.org>
288 +files/policycoreutils-extra-1.21-fix-python3.patch,
289 +policycoreutils-2.1.10-r3.ebuild:
290 Improve support for python3, fixes bug #416301
291
292 13 May 2012; <swift@gentoo.org> -policycoreutils-2.1.0-r1.ebuild,
293 -policycoreutils-2.1.0-r2.ebuild:
294 Removing obsoleted ebuilds
295
296*policycoreutils-2.1.10-r1 (29 Apr 2012)
297
298 29 Apr 2012; <swift@gentoo.org> policycoreutils-2.1.10.ebuild,
299 +policycoreutils-2.1.10-r1.ebuild:
300 Remove dependency on libcgroup (but drop sesandbox support along the way)
301
302 29 Apr 2012; <swift@gentoo.org> policycoreutils-2.1.10.ebuild:
303 Stabilization
304
305*policycoreutils-2.1.10 (31 Mar 2012)
306
307 31 Mar 2012; <swift@gentoo.org> +policycoreutils-2.1.10.ebuild, metadata.xml:
308 Bump to version 2.1.10
309
310 26 Feb 2012; <swift@gentoo.org> policycoreutils-2.1.0-r2.ebuild:
311 Stabilization
312
313 14 Jan 2012; <swift@gentoo.org> +policycoreutils-2.1.0-r2.ebuild,
314 metadata.xml:
315 Mark audit as a local USE flag
316
317*policycoreutils-2.1.0-r2 (14 Jan 2012)
318
319 14 Jan 2012; <swift@gentoo.org> +policycoreutils-2.1.0-r2.ebuild:
320 Override auto-detection of pam and audit, use USE flags for this
321
322 12 Nov 2011; <swift@gentoo.org> -policycoreutils-2.0.82.ebuild,
323 -policycoreutils-2.0.82-r1.ebuild, -policycoreutils-2.0.85.ebuild,
324 -policycoreutils-2.1.0.ebuild:
325 removing obsoleted ebuilds
326
327 23 Oct 2011; <swift@gentoo.org> policycoreutils-2.1.0-r1.ebuild:
328 Stabilization (tracker #384231)
329
330 23 Oct 2011; <swift@gentoo.org> policycoreutils-2.0.82-r1.ebuild:
331 Stabilize 2.0.82-r1 to fix #372807
332
333*policycoreutils-2.1.0-r1 (17 Sep 2011)
334
335 17 Sep 2011; <swift@gentoo.org> +policycoreutils-2.1.0-r1.ebuild:
336 Add /var/lib/selinux directory, needed for 'semodule permissive' support (bug
337 #381755)
338
339 02 Sep 2011; <swift@gentoo.org> policycoreutils-2.0.85.ebuild,
340 policycoreutils-2.1.0.ebuild:
341 Update patch locations to dev.g.o instead of files/ folder
342
343 12 Aug 2011; Anthony G. Basile <blueness@gentoo.org>
344 -policycoreutils-2.0.55.ebuild, -policycoreutils-2.0.69.ebuild,
345 -policycoreutils-2.0.69-r1.ebuild, -policycoreutils-2.0.69-r2.ebuild,
346 -files/policycoreutils-2.0.69-setfiles.diff:
347 Removed deprecated versions
348
349*policycoreutils-2.1.0 (03 Aug 2011)
350
351 03 Aug 2011; Anthony G. Basile <blueness@gentoo.org>
352 +policycoreutils-2.1.0.ebuild:
353 Bump to 20110727 SELinux userspace release
354
355*policycoreutils-2.0.85 (15 Jul 2011)
356
357 15 Jul 2011; Anthony G. Basile <blueness@gentoo.org>
358 +policycoreutils-2.0.85.ebuild,
359 +files/policycoreutils-2.0.85-fix-seunshare-vuln.patch.gz,
360 +files/policycoreutils-2.0.85-sesandbox.patch.gz:
361 Add fix for bug #374897 and initial support for python3
362
363 08 Jul 2011; Samuli Suominen <ssuominen@gentoo.org>
364 policycoreutils-2.0.55.ebuild, policycoreutils-2.0.69.ebuild,
365 policycoreutils-2.0.69-r1.ebuild, policycoreutils-2.0.69-r2.ebuild:
366 Convert from "useq" to "use".
367
368*policycoreutils-2.0.82-r1 (30 Jun 2011)
369
370 30 Jun 2011; Anthony G. Basile <blueness@gentoo.org>
371 +policycoreutils-2.0.82-r1.ebuild:
372 Overwrite invalid .po files with valid ones, fixes bug #372807
373
374 16 Jun 2011; Anthony G. Basile <blueness@gentoo.org>
375 policycoreutils-2.0.82.ebuild:
376 Drop use_nls dependency on gettext. Its mandatory. See bug #299681.
377 Also put gettext in COMMON_DEPS, it is more than a RDEPEND.
378
379 28 May 2011; Anthony G. Basile <blueness@gentoo.org>
380 policycoreutils-2.0.82.ebuild:
381 Stable amd64 x86
382
383 16 Apr 2011; Anthony G. Basile <blueness@gentoo.org> metadata.xml:
384 Updated metadata info.
385
386 08 Feb 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
387 policycoreutils-2.0.82.ebuild:
388 Set SUPPORT_PYTHON_ABIS (bug #353762). Fix dependencies. Fix installation
389 with FEATURES="multilib-strict".
390
391*policycoreutils-2.0.82 (05 Feb 2011)
392
393 05 Feb 2011; Anthony G. Basile <blueness@gentoo.org>
394 +policycoreutils-2.0.82.ebuild:
395 New upstream release.
396
397*policycoreutils-2.0.69-r2 (05 Feb 2011)
398
399 05 Feb 2011; Anthony G. Basile <blueness@gentoo.org>
400 +policycoreutils-2.0.69-r2.ebuild,
401 +files/policycoreutils-2.0.69-setfiles.diff:
402 Fixed bug #300613
403
404 04 Apr 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
405 policycoreutils-2.0.55.ebuild, policycoreutils-2.0.69.ebuild,
406 policycoreutils-2.0.69-r1.ebuild:
407 Delete calls to deprecated python_version().
408
409*policycoreutils-2.0.69-r1 (20 Sep 2009)
410
411 20 Sep 2009; Chris PeBenito <pebenito@gentoo.org>
412 +policycoreutils-2.0.69-r1.ebuild:
413 Update rlpkg for ext4 and btrfs.
414
415 14 Sep 2009; Chris PeBenito <pebenito@gentoo.org>
416 policycoreutils-2.0.69.ebuild:
417 Fix libsemanage DEP.
418
419 02 Aug 2009; Chris PeBenito <pebenito@gentoo.org>
420 policycoreutils-2.0.55.ebuild, policycoreutils-2.0.69.ebuild:
421 Add python_need_rebuild.
422
423*policycoreutils-2.0.69 (02 Aug 2009)
424
425 02 Aug 2009; Chris PeBenito <pebenito@gentoo.org>
426 +policycoreutils-2.0.69.ebuild:
427 New upstream release.
428
429 18 Jul 2009; Chris PeBenito <pebenito@gentoo.org>
430 -policycoreutils-1.34.15.ebuild, policycoreutils-2.0.55.ebuild:
431 Mark stable. Remove old ebuilds.
432
433*policycoreutils-2.0.55 (03 Oct 2008)
434
435 03 Oct 2008; Chris PeBenito <pebenito@gentoo.org>
436 +policycoreutils-2.0.55.ebuild:
437 Initial commit of policycoreutils 2.0.
438
439 29 May 2008; Ali Polatel <hawking@gentoo.org>
440 policycoreutils-1.34.15.ebuild:
441 python_mod_optimize is ROOT aware. Fixed python_mod_cleanup.
4 442
5 26 May 2008; Chris PeBenito <pebenito@gentoo.org> 443 26 May 2008; Chris PeBenito <pebenito@gentoo.org>
6 policycoreutils-1.34.15.ebuild: 444 policycoreutils-1.34.15.ebuild:
7 Fix libsemanage dependency. 445 Fix libsemanage dependency.
8 446
340*policycoreutils-1.0 (03 Aug 2003) 778*policycoreutils-1.0 (03 Aug 2003)
341 779
342 03 Aug 2003; Chris PeBenito <pebenito@gentoo.org> metadata.xml, 780 03 Aug 2003; Chris PeBenito <pebenito@gentoo.org> metadata.xml,
343 policycoreutils-1.0.ebuild, files/policycoreutils-1.0-gentoo.diff: 781 policycoreutils-1.0.ebuild, files/policycoreutils-1.0-gentoo.diff:
344 Initial commit 782 Initial commit
345

Legend:
Removed from v.1.69  
changed lines
  Added in v.1.148

  ViewVC Help
Powered by ViewVC 1.1.20